#include <iostream>
#include <string>
using namespace std;
int main()
{
    long long a,b;
    cin >> a >> b;
    string a_string=to_string(a),b_string=to_string(b);
    string result;
    if(a_string.length() > b_string.length()){
        result += a_string.substr(0,a_string.length()-b_string.length());
        a_string=a_string.substr(a_string.length()-b_string.length());
    }
    if(b_string.length() > a_string.length()){
        result += b_string.substr(0,b_string.length()-a_string.length());
        b_string=b_string.substr(b_string.length()-a_string.length());
    }
    for(int i=a_string.length()-1;i>=0;i--){
        result += max(a_string[i],b_string[i]);
        if(a_string[i]==b_string[i]){result+=b_string[i];}
    }
    
    cout << stoull(result);
    
}